Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.invocation
Class JBossPortletInterceptorStack

    java.lang.Object
      org.jboss.portal.portlet.impl.invocation.JBossPortletInterceptorStack

All Implemented Interfaces:
  PortletInterceptorStack

    public class JBossPortletInterceptorStack

extends java.lang.Object
implements PortletInterceptorStack

Version:
  $Revision$
Author:
  Thomas Heute

Field Summary
`static PortletInterceptorStack` | `EMPTY_STACK` .

Constructor Summary
`JBossPortletInterceptorStack(org.jboss.portal.portlet.PortletInvokerInterceptor interceptor)`
`JBossPortletInterceptorStack(org.jboss.portal.portlet.PortletInvokerInterceptor[] interceptors)`

Method Summary
`org.jboss.portal.portlet.PortletInvokerInterceptor` | `getInterceptor(int index)` Return the interceptor at the specified index.
`int` | `getLength()` Returns the stack length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STACK

    public static final PortletInterceptorStack EMPTY_STACK

  .

Constructor Detail

### JBossPortletInterceptorStack

    public JBossPortletInterceptorStack(org.jboss.portal.portlet.PortletInvokerInterceptor interceptor)

### JBossPortletInterceptorStack

    public JBossPortletInterceptorStack(org.jboss.portal.portlet.PortletInvokerInterceptor[] interceptors)

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `PortletInterceptorStack`
  Returns the stack length.

  Specified by:
    `getLength` in interface `PortletInterceptorStack`
  Returns:
    the length

### getInterceptor

    public org.jboss.portal.portlet.PortletInvokerInterceptor getInterceptor(int index)
                                                                      throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `PortletInterceptorStack`
  Return the interceptor at the specified index.

  Specified by:
    `getInterceptor` in interface `PortletInterceptorStack`
  Parameters:
    `index` - the interceptor index in the stack
  Returns:
    the specified interceptor
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD